---
date: 2021-04-16
title: Hyperledger Ursa
description: "A shared cryptographic library that enables projects to avoid duplicating cryptographic work across projects, increasing security in the process."
excerpt: >
  Hyperledger Ursa is a shared cryptographic library, it enables implementations to avoid duplicating other cryptographic work and hopefully increase security in the process. The library is an opt-in repository (for Hyperledger and non Hyperledger projects) to place and use crypto. Hyperledger Ursa consists of sub-projects, which are cohesive implementations of cryptographic code or interfaces to cryptographic code.
layout: single
toc: false
permalink: blockchain/hyperledger/ursa/
canonical_url: 'https://decentralized-id.com/blockchain/hyperledger/ursa/'
categories: ["Hyperledger Foundation"]
tags: ["Ursa","Kiva","Sovrin Foundation","Crypto","ACM","Bitwise","DFINITY","Evernym","Fujitsu","Intel","Linux Foundation","Sovrin Foundation","State Street"]
last_modified_at: 2021-04-16
header:
  image: /images/ursa-head.webp
  teaser: /images/ursa-square.webp
---

[Website](https://www.hyperledger.org/use/ursa) • [Wiki](https://wiki.hyperledger.org/display/ursa) • [GitHub](https://github.com/hyperledger/ursa) • [RFCs](https://github.com/hyperledger/ursa-rfcs) • [Docs](hyperledger.org/ursa-docs/) • [Mailing List](https://lists.hyperledger.org/g/ursa) • [Chat](https://chat.hyperledger.org/channel/ursa)

* [Welcome Hyperledger Ursa!](https://www.hyperledger.org/blog/2018/12/04/welcome-hyperledger-ursa)
  > Ursa aims to include things like a comprehensive library of modular signatures and symmetric-key primitives built on top of existing implementations, so blockchain developers can choose and modify their cryptographic schemes with a simple configuration file change. Ursa will also have implementations of newer, fancier cryptography, including things like pairing-based signatures, threshold signatures, and aggregate signatures, and also zero-knowledge primitives like SNARKs.
* [Sovrin contributes to Hyperledger Ursa: A win for cryptography, security, and interoperability](https://sovrin.org/sovrin-contributes-to-hyperledger-ursa-a-win-for-cryptography-security-and-interoperability/)
  > Ursa is a library for cryptography and the result of a collaborative effort from teams at ACM, Bitwise, DFINITY, Evernym, Fujitsu, Intel, the Linux Foundation, the Sovrin Foundation, and State Street. Duplication among blockchain project features heightens security risks. Ursa, however, gathers up crypto implementations across projects and compiles them into a single metalibrary, creating a central repository for crypto code. This way, projects can select sources of code from Ursa, instead of the original source, decreasing duplication security risks and boosting interoperability among projects.
* [Kiva Protocol, Built on Hyperledger Indy, Ursa and Aries, Powers Africa’s First Decentralized National ID system](https://www.hyperledger.org/category/hyperledger-ursa)
  > Kiva Protocol is built using Hyperledger Indy, Aries, and Ursa, and as implemented in Sierra Leone, allows citizens to perform electronic Know Your Customer (eKYC) verifications in about 11 seconds, using just their national ID number and a fingerprint. With this verification, it is possible for the nation’s unbanked to open a savings account and move into the formally banked population.

