---
published: false
---

# Data Governance
* [Marissa Mayer wants to fix your address book](https://www.cnbc.com/2020/11/18/marissa-mayer-is-back-and-she-wants-to-fix-your-address-book.html) CNBC
  > At launch, Mayer’s start-up is rolling out Sunshine Contacts, an address book app that relies on artificial intelligence to find and merge duplicate contacts, fill out incomplete information and continually keep that data up to date. The app integrates with the iOS Contacts app as well as Gmail and will be free to all iOS users with an invitation.
* [You are not your Data but Your Data is still You](https://deepdives.in/you-are-not-your-data-but-your-data-is-still-you-b41d2478ece2).
  > In the digital age, individual privacy in the broadest sense is about control over protecting one’s personally identifiable information (PII), such as information about health, credit, shopping, or communication. But the types of information deemed ‘personally identifiable’ and the amount of control one has over them varies around the world.
* [Ada Lovelace Institute](https://twitter.com/AdaLovelaceInst) (ALI) Shares Highlights and References
  > discussing different approaches to data stewardship and potential principles individuals and organisations can follow
- [Exploring principles for data stewardship](https://www.adalovelaceinstitute.org/project/exploring-principles-for-data-stewardship/) - case studies exploring principles for data stewardship - ALI
- [Data Trusts Initiative](https://datatrusts.uk/) - interdisciplinary programme that pursues research at the interface of technology, policy and the law to better understand the role data trusts can play
- [Data Futures](https://foundation.mozilla.org/en/initiatives/data-futures/) - Research to shift power through data governance - Mozilla Foundation
- [The Data Economy Lab](https://thedataeconomylab.com/) - unlock the societal value of data while safeguarding the rights of individuals and communities.

- [Doing good with data: what does good look like when it comes to data stewardship?](https://www.adalovelaceinstitute.org/blog/what-does-good-look-like-data-stewardship/) ALI
- [@CjColclough](https://twitter.com/CjColclough) shares: [Towards Workers' Data Collectives](https://www.thewhynotlab.com/post/towards-worker-data-collectives) (The Why Not Lab)Written for [Just Net Coalition](https://justnetcoalition.org/) and [IT for Change](https://itforchange.net/) Digital New Deal [essay series](https://itforchange.net/digital-new-deal/)
* [Local-first software: You own your data, in spite of the cloud](https://www.inkandswitch.com/local-first.html)

a set of principles for software that enables both collaboration and ownership for users. Local-first ideals include the ability to work offline and collaborate across multiple devices, while also improving the security, privacy, long-term preservation, and user control of data.


* [Personal Data Warehouses](https://simonwillison.net/2020/Nov/14/personal-data-warehouses/) Simon Willison
  > If you’re like me, and you love building side-projects but you don’t like paying $5/month for them for the rest of your life, this is perfect.
* [Why framing “data” as an asset or liability is dangerous](https://www.mydigitalfootprint.com/2021/03/why-framing-data-as-asset-or-liability.html) MyDigital Footprint
  > If there is one thing that can change finance’s power and dominance as a decision-making tool, it is the rest of the [data](https://opengovernance.net/data-is-data-90ba0b803178). According to Google (2020), 3% of company data is finance data when considered part of an entire company’s data lake. McKinsey [reports](https://www.mckinsey.com/business-functions/strategy-and-corporate-finance/our-insights/how-companies-make-good-decisions-mckinsey-global-survey-results) that 90% of company decisions are based on finance data alone, the same 3% of data.

If you are in accounting, audit or finance shoes, how would you play the game to retain control when something more powerful comes on the scene?
* [PSA Today with Julian Ranger, founder of Digi.me](https://anchor.fm/psatoday/episodes/PSA-Today-37-Kaliya-and-Seth-talk-with-Julian-Ranger--Chairman--Founder-of-Digi-me-about-personal-data-governance-in-a-world-of-surveillance-capitalism-etpk24)
  > Personal data governance (in a world of surveillance capitalism‪)‬
* [Personal data servers will help take back digital ID from big tech](https://www.wired.co.uk/article/personal-data-servers) (Wired OpEd)
  > In 2021, individuals will gain the ability to own servers where their data is stored – and with it control their online identities.
> 
> [...] because data from their healthcare provider acquired into the server can be used to authenticate and assert that fact without the need to give any identity information. By using PDAs, apps that rely on sensitive data will be able to access this and stay “identity blind”.
> One effect of the Covid-19 pandemic will be the increased use of PDAs.
* [Digi.me enables rapid citizen-centric data exchange solutions for flexibile Gov COVID-19 uses](https://www.youtube.com/watch?v=3LbWqBTCa00) (youtube)
* [Hidden in Plain Sight — the Transformational Potential of Personal Data](https://medium.com/mydex/hidden-in-plain-sight-the-transformational-potential-of-personal-data-da47f666713e) MyDex
  > Personal data stores apply the same economic logic to transform the costs of producing data driven services. [Verified attributes](https://medium.com/mydex/unleashing-the-potential-of-verified-attributes-fe001e01b091) are the digital equivalents of Henry Ford’s standardised parts. By enabling one organisation to instantly re-use data verified by another organisation they eliminate the need for vast amounts of duplicated effort and rework (re-creating each data point from scratch or checking its details, provenance etc).
* [If your strategic plan is based on data, have you considered the consequences?](https://www.mydigitalfootprint.com/2021/04/if-your-strategic-plan-is-based-on-data.html) MyDigitalFootprint
  > How do you know your data set has the views of everyone who is critical to your business today and in the future? How do you know the tools you use provide equal weight to everyone to make our business thrive?  How do you know if the recommendation was written before the analysis? How do your incentives create a new bias?

* [Data for good: powering our way to a better world](https://blog.digi.me/2021/04/29/data-for-good-powering-our-way-to-a-better-world/)
  > We should absolutely all be taking care of the data that belongs to us, our data that we create, that we have a right to be able to control and share exactly as we choose. But we should also bear in mind the power of that data to help each of us, every day, benefit from the good that can come when it is shared and used to create a better world for us all.
* [Everybody has our data ... except us](https://reb00ted.org/personaldata/20210620-who-has-my-personal-data/) reb00ted

Google has all my e-mail. (And I don’t. They merely let me access it with a browser.)

Facebook has the list of all of my friends and what I said to them. (And I don’t.)

LinkedIn has all of my business contacts. (Repeat after me: and I don’t.)

Instagram has all my photos. Well, the Instagram department of Facebook does. (Chorus now: and I don’t.)

Amazon has the list of all my purchases, and knows what products I was interested in but didn’t buy after all. (AND I DON’T.)
* [What the Heck is a Data Mesh?!](https://cnr.sh/essays/what-the-heck-data-mesh)

I re-read [Zhamak Dehghani](https://twitter.com/zhamakd) ’s [original](https://martinfowler.com/articles/data-monolith-to-mesh.html) and [follow-on](https://martinfowler.com/articles/data-mesh-principles.html) posts. Zhamak is the creator of the data mesh. In her second post she identifies [four data mesh principles](https://martinfowler.com/articles/data-mesh-principles.html#CorePrinciplesAndLogicalArchitectureOfDataMesh):

1. Domain-oriented decentralized data ownership and architecture
2. Data as a product
3. Self-serve data infrastructure as a platform
4. Federated computational governance
* [Attitudes To Personal Data Management](https://mylifedigital.co.uk/attitudes-to-personal-data-management/)
  > In recent years, personal data has been an increasingly popular topic of conversation for marketers, data analysts, regulators, and privacy warriors. Individuals have learnt that recent regulatory updates have given them more rights over how that data is used. Are these two forces aligned?
  > 
  > We distributed a survey and received over 400 responses from both individuals and organisations answering questions about the management of personal data. How aligned are the two points of view? This infographic shows a summary of key questions and responses.
* [What Does It Actually Mean When a Company Says, “We Do Not Sell Your Data?”](https://john.philpin.com/2021/09/03/what-does-it.html) John Philipin

Probably because the alternatives produce even more income.

* [Japan-based Dixon Siu to join the Board of aNewGovernance AISBL](https://www.anewgovernance.org/2021/09/15/japan-based-dixon-siu-to-join-the-board-of-anewgovernance-aisbl/)

Given his breadth of experience and alignment with a number of strategic sectors where aNewGovernance is currently developing ecosystems, I am sure, he will bring incredible contribution.

* [Data Privacy: does anyone care?](https://blog.meeco.me/data-privacy-does-anyone-care/) Meeco

The compelling data and research suggest that my original question now needs to be reframed. People most certainly do care about their data privacy. The question now is: how are organisations going to bridge this data privacy chasm?

* [Data Sovereignty International Forum 2021(English)](https://www.youtube.com/watch?v=2Q2DL0ojauA)

* [FTC’s Shot Across the Bow: Purpose and Use Restrictions Could Frame The Future of Personal Data Management](https://identitypraxis.com/2021/11/03/ftcs-shot-across-the-bow-purpose-and-use-restrictions-could-frame-the-future-of-personal-data-management/) Identity Praxis

So that there is no uncertainty or doubt, however, Duball[4](https://identitypraxis.com/2021/11/03/ftcs-shot-across-the-bow-purpose-and-use-restrictions-could-frame-the-future-of-personal-data-management/#fn4) reports that, while consumer privacy is a chief concern for the commission, it is not the primary concern to the exclusion of other concerns. The commission is also worried about algorithmic bias and “dark patterns” practices.
* [Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model: Whitepaper](https://hyperonomy.files.wordpress.com/2019/11/hyperonomy-ssi-personal-data-usage-licensing-model-ssi-pdul-model-2021-0.27rd.pdf) Hyperonomy

The scope of the Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model is personal digital identifiers and any associated identity data presented by Alice to the App. It does not include the permissioning of data internal to the App (although the natural extension of the solution to internal data is an obvious one)
* [Self-Sovereign Identity Personal Data Usage Licensing (SSI-PDUL) Model](https://hyperonomy.com/2021/01/27/self-sovereign-identity-personal-data-usage-licensing-ssi-pdul-model-solution-concept/) Michael Herman

How Alice User, an App User and Identity Owner, and Bob Developer, an App Developer and App Controller, might negotiate the use of Alice’s personal digital identifiers and any associated personal identity data by Bob’s app, based on Self-Sovereign Identity Model Usage Principles

* [75% of Americans Want National Data Privacy Standards](https://anonyome.com/2021/11/75-of-americans-want-national-data-privacy-standards/) Anonyme
  > The clear majority of adults surveyed want national standards around how companies collect, process and share [personal data](https://anonyome.com/2020/05/what-constitutes-personally-identifiable-information-or-pii/) to help protect users’ [privacy](https://anonyome.com/2021/02/what-is-privacy/) and security online. Seven in 10 people agree with the federal government treating personal data security as a [national security](https://anonyome.com/2021/09/china-us-recognize-national-security-risks-of-surveillance-capitalism/) issue and investing in cybersecurity.
* [Trusted Data Ecosystems: The Indicio Way](https://indicio.tech/trusted-data-ecosystems-the-indicio-way)

This multidimensional value—authenticity, compliance, integrity, and resilience—coupled with being easy to integrate is what separates the Indicio approach from the rest. Our growth in 16 months—with global enterprise customers and a global decentralized blockchain network supported by 23 companies on five continents is a sign that fundamental change is coming in the way we share information.
* [Helping Data Trusts Manage Personal Data](https://medium.com/mydex/helping-data-trusts-manage-personal-data-4215faaee5f2) Mydex

Mydex CIC has just published a blog for Cambridge University’s Data Trust Initiative on ‘Helping Data Trusts Manage Personal Data’. In it, we address the challenges that arise as the Data Trust movement begins to scale.

- [MEF CONNECTS Personal Data & Identity](https://mobileecosystemforum.com/events_/mef-connects-personal-data-identity/) 5/11 Mobile Ecoystem Forum



* [The need for new Data Institutions](https://medium.com/mydex/the-need-for-new-data-institutions-e6b06cd0cbb8) Alan Mitchell

we were presenting at the Open Data Institute’s event on Data Sharing and the [Rise of Data Institutions](https://theodi.org/article/what-are-data-institutions-and-why-are-they-important/) — a crucially important subject for the years ahead. (You can see the slides of our presentation [here](https://www.slideshare.net/davidejalexander/mydex-cic-odi-radical-data-institutions-20220330-alan-mitchellpdf).)


* [Dangerous Data: the role of data collection in genocides](https://www.theengineroom.org/dangerous-data-the-role-of-data-collection-in-genocides/) The Engine Room


* [Ontology Partners With 4EVERLAND to Accelerate Web 3.0 Adoption](https://medium.com/ontologynetwork/ontology-partners-with-4everland-to-accelerate-web-3-0-adoption-dfc658e8ea21)

Ontology is partnering with [4EVERLAND](https://www.4everland.org/), a Web 3.0 cloud computing platform enabling global acceleration, privacy protection, distributed storage and other technical features to accelerate the move towards Web 3.0.

* [Data Mob Rule](https://www.moxytongue.com/2021/08/data-mob-rule.html) MoxyTongue

Individual Rights are hard to come by historically. Strong people make them possible. First requirement of their existence is thus, strong people.

* [How to unleash the full potential of data?](https://medium.com/mydex/how-to-unleash-the-full-potential-of-data-3676db8d7c03) Alan Mitchell

The main reason why vital information is not getting where it needs to be is that our data economy has evolved to be an organisation-centric ‘One User One Use’ (OUOU) system — whereas, thanks to the inner logic of data itself, it needs to operate as a ‘Many Users, Many Uses’ (MUMU) data ecosystem.

### Data Portability

* [Europe’s top Data Portability Projects](https://dapsi.ngi.eu/meet-europes-top-data-portability-projects/)

- [ALIAS](https://dapsi.ngi.eu/hall-of-fame/alias/) – automating GDPR portability for applications developers.
- [Checkpipe Charlie](https://dapsi.ngi.eu/hall-of-fame/checkpipe-charlie/) – tool for describing and validating data.
- [DIP](https://dapsi.ngi.eu/hall-of-fame/dip/) – Vaccination & Immunization Management using Verifiable Credentials.
- [Domi](https://dapsi.ngi.eu/hall-of-fame/domi/) – SSI-based digital passport to facilitate data portability in the housing rental sector.
- [DPella](https://dapsi.ngi.eu/hall-of-fame/dpella/) – Data analyses with privacy in mind.
- [IDADEV-P2P](https://dapsi.ngi.eu/hall-of-fame/idadev-p2p/) – Blockchain Based Data Portability System
- [OpenPKG](https://dapsi.ngi.eu/hall-of-fame/openpkg/) – decentralised data provenance system for improved governance and portability of personal data.
- [OpenXPort](https://dapsi.ngi.eu/hall-of-fame/openxport/) – Open export of data across different systems and providers.
- [ORATORIO](https://dapsi.ngi.eu/hall-of-fame/oratorio/) – Energy data exchange platform.
- [Prov4ITData](https://dapsi.ngi.eu/hall-of-fame/prov4itdata/) – Provenance-aware querying and generation for interoperable and transparent data transfer.
- [UI-Transfer](https://dapsi.ngi.eu/hall-of-fame/ui-transfer/) – complete solution for “user initiated inter-controller and continuous data transfer”


* [Data as competitive advantage & control mechanism in platform economy](https://www.youtube.com/watch?v=nlf5juCc6CA)
  > Presenters: Sangeet Paul Choudary, Molly Schwartz Session host: Riikka Kämppi Molly Schwartz chats with Sangeet Paul Choudary - best-selling author of Platform Revolution and Platform Scale and founder of Platformation Labs - unpacks the ethics and economics of data.

* [Decentralized machine learning to respond to the health crisis](https://blog.cozy.io/en/decentralized-machine-learning-to-respond-to-the-health-crisis/)
  > The current health crisis has shown how essential it is to have data in order to make political decisions.[...]
  > 
  > We present here one of these solutions that allows training an AI with the data of many individuals without ever disclosing it to third parties, thanks to a decentralized protocol.
* [Kaliya & Seth talk Synthetic Data with Harry Keen CEO of Hazy.com](https://anchor.fm/psatoday/episodes/PSA-Today-33-Kaliya--Seth-talk-Synthetic-Data-with-Harry-Keen--CEO-and-co-founder-of-Hazy-com-eqal35) PSA Today #33
  > Originally a UCL AI spin out, London-based Hazy was initially incubated by Post Urban Ventures and CyLon cybersecurity accelerator. Our startup began trying to fix the flaws of traditional data redaction and then data anonymisation. We soon discovered anonymised data will always pose a risk to re-identification.

### Dynamic Data Economy: Digital Identity, Authentic Data Flows, Data Mesh and other dragons by Robert Mitwicki

DDE, HCF, Data Mesh, KERI, OCA

Session was held by Human Colossus Foundation folks who described the vision for DDE which is developed within the Colossi network around the foundations.

Dynamic Data Economy is a roadmap towards fair, decentralized and authentic data economy. Many times people are referring to blockchain technology as a revolution within digital space. But often they actually mean something more profound: the promise of Decentralisation brought by blockchain. A Dynamic Data Economy brings decentralization outside the technology realm into digital solutions for any economic actors. It does so by decentralizing all layers of the ecosystem:

- Decentralized Governance - no administrative entity fully controls and sets the rules, Individuals, organization and government are sovereign on their data Governance.
- Decentralized Architecture - physically decentralization of resources running that network. Economic actors keep control of their data storage solution according to the level of security required.
- Decentralized Logic (Data) - if you cut the system in half it can continue working and data is not damaged in any way, e.g. no need for total ordering.

No blockchain fulfills all those requirements and some none at all. And this is a problem for sensitive areas (e.g. identity or data portability) Then the agreements on sets of principles, protocols and rules to fulfill those requirements are “add-ons”.They are not in the system by design and thus weakens the overall solution Thus the Human Colossus Foundation (HCF) is seeking for opening up discussion and lead towards standardization efforts to ensure that the decentralized technologies already existing brings to life a Dynamic Data Economy for all with and without blockchain.

* [An introduction to The Authentic Data Economy](https://iiw.idcommons.net/4E/_An_introduction_to_The_Authentic_Data_Economy) by David Huseby

This was a session to discuss the topics I brought up in my article on the authentic data economy:

* [The Authentic Data Economy. Universal Digital Trust at Global Scale | by 𝔡𝔴𝔥 | Medium](https://dwhuseby.medium.com/the-authentic-data-economy-9802da67e1fa)

With each successive wave of computerization the new innovations built on the last. Each one taking more of human-scale processes and shrinking them down and putting them into computers and eventually online. The authentic data economy isn’t any different. It leverages data collection and networking and personal computing advances. It makes our data ours and authentic. It builds on all of the previous work done by countless engineers and inventors and dreamers. However, by being the last big problem it represents the final piece that brings together everything that came before it. The scope of the authentic data economy is literally everything in the human sphere. There is nothing that this won’t change. Trust will go everywhere and into everything. But most importantly, so will privacy.

I talked about how the break from the W3C DID specs and other key innovations in cryptography have enabled me and Mike Lodder to design a solution for identity and all data provenance that is 1. privacy preserving, 2. scalable to global scale and how that creates an opportunity for authentic data to become the primary way data is used in the world.

* [Credential Marketplaces](https://iiw.idcommons.net/12K/_Credential_Marketplaces) by Martin Riedel, Stepan Gershuni

Presentation: [https://docs.google.com/presentation/d/1WOXgHhgAwG0Im45pZkTAhsadpd8xbck0xjlnsuVGGhI/edit?ts=60803bc8](https://docs.google.com/presentation/d/1WOXgHhgAwG0Im45pZkTAhsadpd8xbck0xjlnsuVGGhI/edit?ts=60803bc8#slide=id.gd369c9df06_0_17)

The goal of this session is to present the idea and get community feedback regarding this.

Credential Marketplace is quite high up the SSI stack but we want to start this discussion.

1. What is Credential Marketplace?
2. We have a Trust Triangle of Issuer-Holder-Verifier. This does not need any centralized entity except schema hosting.
3. However, we want to solve the problem of discovery of Issuers and Verifiers.
4. Example: I’m traveling to a new country. I need to get what healthcare VCs are needed to go there, in an automated way.
5. How can we solve this without relaying on a centralized registry of Verifier requirements and Issuer capabilities?
6. How it works
7. In order to discover issuers / vc types, there should be a registration step where issuers/verifiers actively OR passively provide metadata about their capabilities.
8. Credential Data — can contain some filters or constraints on the data from within the VC. E.g. As a Verifier, I only accept passport VC from only certain governments: only German nationals.
9. VC Metadata
10. Issuer Metadata
11. Reputation mechanism for credential issuers
12. Marketplace can also implement value transfer: paying for issuance by the verifier, for example. Even if they are part of different SSI ecosystems. This is optional but can help incentivize different participants.

* [https://docs.google.com/presentation/d/1VaxwE9d4kEvmsJGUMWcvLf5WOQRcv5o_wTGTsecfseA/edit?usp=sharing](https://docs.google.com/presentation/d/1VaxwE9d4kEvmsJGUMWcvLf5WOQRcv5o_wTGTsecfseA/edit?usp=sharing)

* [International Semantic Infrastructure: Requirements for a distributed data economy](https://iiw.idcommons.net/21L/_International_Semantic_Infrastructure:_Requirements_for_a_distributed_data_economy) by Paul Knowles

Brent Shambaugh. Integrate computing, processing, storage. Virtual machine to integrate databases. Query language, like Linked Data, over a lot of different systems. SeeQL(?) - translate. Categorical databases (Ryan and David’s work): to not really rely on a single source ofo truth, but more rely on transformations between things. Use category theory to have an exact/provable way of doing that. Cat theory has to follow certain rules. Cat theory kind of abstract but provides a framework for unrelated disparate things. Ryan could say how to algebraicly describe things, which would branch off into… Josh at Uber: come up with schemas, get down to the data/logical layer. Different places to go. Way to translate in from out. Might have multiple different ones, want to map from each one, but if you have a vague interpediary in centralized model, loosely defined that both map to, then have a mapping between the two things. Linked Data problem

* [...]

Linking data together is about machine readability. Involved humans… need to understand. Do it through language. Humans like OCA because can understand data in different languages, makes sense for people. Human element. In that capture space. Want to refine OCA, take out some of the rules parts, masking overlay, conditional overlays, and get it away from OCA as architecture - it convolutes things. OCA only meant for making theings human-readable.

* [Creating a positive vision for the future - decentralised web + SSI](https://iiw.idcommons.net/21I/_Creating_a_positive_vision_for_the_future_-_decentralised_web_+_SSI) by Jemima Gibbons

Discussion moved to this Miro board:

* [https://miro.com/app/board/o9J_lII_R8s=/](https://miro.com/app/board/o9J_lII_R8s=/)

* [IIW32_TH_21I_Creating a Positive Visition for Future - Decentralised Wed + SSI](https://docs.google.com/document/d/1iELB7PlUp_5ZJa9LGxWXium_-pHcXS35MG4oGgDl98s/edit)

17:10:05 From Bruce Conrad to Everyone : Another dystopia prediction from 1909: "The Machine Stops" is a science fiction short story (12,300 words) by E. M. Forster. [quoted from wikipedia]

* [https://www.amazon.com/Monkeys-Typewriters-Myths-Realities-Social/dp/0956263143](https://www.amazon.com/Monkeys-Typewriters-Myths-Realities-Social/dp/0956263143)


* [https://miro.com/welcomeonboard/DRQLs1YeZ9DqbWzmXoBVubmSZ2zgt93AelmqxuZVf9q5zqWLyZI7AFxGePI4biNq](https://miro.com/welcomeonboard/DRQLs1YeZ9DqbWzmXoBVubmSZ2zgt93AelmqxuZVf9q5zqWLyZI7AFxGePI4biNq)

17:52:46 From Orie Steele to Everyone : Shameless plug for our work with GS1 on VCs

* [https://www.youtube.com/watch?v=iDkANArgdKI&t=15s](https://www.youtube.com/watch?v=iDkANArgdKI&t=15s)
* [The Anatomy Of Personal Data Sovereignty](https://www.forbes.com/sites/forbesbusinesscouncil/2021/05/04/the-anatomy-of-personal-data-sovereignty/?sh=69dbea5761e1) in Forbes

The data privacy/control issue isn’t new, but the attitude shift is. People care more, demand more, and the scale of change that has occurred due to the Covid-19 pandemic is major. As we live through times exposing such injustice and inequality, it's becoming evident that this personal data ecosystem needs to undergo a major revamp.
* [BIS Annual Report](https://www.bis.org/publ/arpdf/ar2022e3.pdf) section III. The future monetary system on page 41 in the chart

Point 5. User control over data—data governance arrangements should ensure users’ privacy and control over data:

- Today: Users trust intermediaries to keep data safe, but they do not have sufficient control over their data
- Crypto: Transactions are public on the blockchain—which will not work with “real names”
- Tomorrow: New data architectures can give users privacy and control over their data


