---
published: false
---

# Future of Digital Identity
* [Bullish Case for Self-Sovereign Identity](https://sgershuni.medium.com/bullish-case-for-self-sovereign-identity-c2c26857f0ab) 
  > How is SSI technology creating a trillion dollar market?

There are more good pictures 
* [The way towards self-sovereign identity](https://innovalor.nl/en/Blogs/self-sovereign-identity) Ines Duits
  > This series of blogs focus on self-sovereign identity, SSI. This post explains where SSI originated from by giving a timeline of how digital identity has changed over the years. [In the second blog](https://innovalor.nl/en/Blogs/what-is-self-sovereign-identity), we focus on what SSI is exactly. In the third blog, give two examples of use cases (IRMA and Sovrin) where SSI plays an important role.
* [Inventories, Not Identities: Why multisigs are the future of online accounts](https://blog.gnosis.pm/inventories-not-identities-7da9a4ec5a3e)
  > Embracing more than the normative individual as a fundamental unit of account, such a paradigm could better serve the creation of resilient, accountable, and mutualistic institutions leading into the twenty-first century.
* [Can the Digital Future Be Our Home?](https://www.windley.com/archives/2021/05/can_the_digital_future_be_our_home.shtml) Windley
  > This post features three fantastic books from three great, but quite different, authors on the subject of Big Tech, surveillance capitalism, and what's to be done about it.
* [Authentic Digital Relationships](https://www.windley.com/archives/2020/08/authentic_digital_relationships.shtml) Windley
  > Self-sovereign identity, supported by a heterarchical identity metasystem, creates a firm foundation for rich digital relationships that allow people to be digitally embodied so they can act online as autonomous 
* [The Future of Self-Sovereign Identity (SSI)](https://www.youtube.com/watch?v=mx58bYHFrFk)
  > We were joined by Drummond Reed and Alex Preukschat, co-authors of Manning Publication's new book 'Self-Sovereign Identity,' for a conversation on the book's development and recent release and what the future holds for SSI as a technology, architecture, and movement.
* [Personal Identity and the Future of Digital Interactions](https://www.pingidentity.com/en/company/blog/posts/2021/personal-identity-future-digital-interactions.html) Ping Identity
  > What if individuals could determine how to share data and with whom? What if that data was always up to date? And what if instead of merely having a unified customer profile in a single company, each person could have one identity experience for all the companies and people they interact with?
* [The Digital Supply Chain of the Future](https://medium.com/transmute-techtalk/the-digital-supply-chain-of-the-future-79e9431aaa0d) Nis Jespersen Transmute

There is no limit to what a DID can identify. The obvious examples are organizations and people, as explained above. They can also represent assets such as shipping containers, seals, boxes, vessels, or locations, and intangible concepts like bookings, agreements, transactions, or documents.
* [the most important questions](https://werd.io/2021/one-of-the-most-important-questions-turns) Ben Werdmuller

what is the future you want to build?

Is it one where everyone has equal access to knowledge and opportunities? Where everyone can have a good life regardless of background?

Or is it something else?

* [GiD Report#181 — The future will be self sovereign](https://medium.com/global-id/gid-report-181-the-future-will-be-self-sovereign-d0218fff9989)

Just as the World Wide Web empowered people to connect and share knowledge and information, the rise of Bitcoin taught us that we could have direct ownership over our valuable assets and payments — no middle man or central operator necessary.
* [The Future Now Problem](https://www.continuumloop.com/the-future-now-problem/) Continuum Loop

When the idea of what is available right NOW is blurred among the ideas of the FUTURE, you can’t differentiate between what is feasible TODAY from what is not ready for prime time.
* [The Future: Proving your Identity](https://gdprnow.fireside.fm/30) GDPR Now
  > we talk about the future of credential management – Self Sovereign Identity (SSI) also known as decentralised identity. SSI is an efficient, secure and privacy enhancing solution for identity verification. It puts individuals at the centre of the verification process and is the future of identity management.

* [The Future of Authenticating Your Data](https://www.reality2cast.com/61) with Doc Searls, Katherine Druckman and Dave Huseby
  > Across time and space immediately being tracked and, and falling victim to what I call sort of casual surveillance or corporate surveillance, right? Where is your data flows through systems; businesses are able to observe that movement of your data, your information aggregated, develop some kind of psychological model and then able to sell that to people who wish to manipulate you, sell you things, that kind of stuff

* [Panel at Radical Exchange on Future Digital Identity](https://identitywoman.net/panel-at-rxc-digital-identity-a-look-ahead/)
    > Hosted by Kaliya Young this panel included Paula Burman form Democracy Earth and Supriyo Roy from Idena talking about the their different digital identity systems that are very future looking. 
* [Future 2030: Self Sovereign Identity Explained](https://www.coindesk.com/self-sovereign-identity-reshape-internet)
A comprehensive Article on CoinDesk about the future and what SSI looks like in that future. Kaliya interviewed for it.
* [Three Scenarios for Rolling Back Surveillance Capitalism](https://reb00ted.org/tech/20201009-three-scenarios-rolling-back-surveillance-captialism/).
* [Next Stop: A Global Verification Network](https://trbouma.medium.com/next-stop-global-verification-network-69f14a6673ab) Tim Bouma
  > The hardest part ahead is not the technology, it’s the wholesale re-conceptualization of what is required for a global verification network that puts the power of the network back into the endpoints that is you and me.
* [Four Future Scenarios about Identity & Access in 2040](https://esatus.com/wp-content/uploads/Broschuere_eng_final.html). We talk about Total Surveillance, Mega Corporations, Identity Chaos & Self-Sovereign Identity 2.0.
  > After a look into the past and present, we now fast-forward to the year 2040, where we meet Julia and accompany her through her everyday life. In four different IAM future scenarios, which can be viewed separately, we will understand how life under total surveillance feels for Julia. In times where identity chaos prevails, we can see what it means when Julia can no longer be sure about her digital identity, with only her physical identity being certain. In a world dominated by mega corporations Julia‘s experiences with her employer show us the far-reaching significance and influence such corporations have gained in relation to IAM. Finally, we experience how Julia is able to regain her informational self-determination thanks to her identity wallet - Self-Sovereign Identity 2.0.
* [What does it take to develop human-centric solutions for the built environment?](https://mydata.org/2022/05/13/built-for-people/) MyData ([Video](https://www.youtube.com/watch?v=VCjW0_NAPmQ)
  > Building better, more human-centric solutions in smart cities starts by realising that citizens and their digital footprints are not merely aspects to monitor and evaluate. They are active participants in the cities we live and work together and need to be engaged in designing better cities and managing the data about themselves. This is not important only for respecting citizens’ rights, but it is crucial to building sustainable services and humane cities.
* [On Abortion and Data](https://www.mydata.org/2022/06/30/on-abortion-and-data/) MyData
  > A basic insight of MyData is that the current systems of data are asymmetrical, imbalanced, and unfair. A basic motivation of MyData is to fix this by addressing business, legal, technical, and societal aspects of those systems.


* [The Past, Present and Future of Identity](https://www.thinkdigitalpartners.com/guest-blog/2021/02/15/the-past-present-and-future-of-identity/)
  > Susan Morrow, considers the ‘digital identity journey’ to date and the important opportunity for the government to make use of the lessons learned when creating tomorrows digital identity ecosystem.
* [The Future of Identity: Self-Sovereignity, Digital Wallets, and Blockchain](https://publications.iadb.org/publications/english/document/Self-Sovereign-Identity-The-Future-of-Identity-Self-Sovereignity-Digital-Wallets-and-Blockchain.html) InterAmerican Development Bank
  > enables sovereignty for individuals over their digital assets and credentials -such as digital passports, digital diplomas, digital property titles, and tokenized currencies such as dollar, euro, pound, or pesos- using digital wallets that can take the form of a mobile app. Secondly, when the subject of these digital assets and credentials presents them to a third party to prove ownership, the third party does not need to reach out to the issuer to verify them, as they can go against a public, decentralized, and immutable registry, such as a blockchain network, where the cryptographic proofs of the asset or credential were registered and are maintained by the issuer in an standardized and trustable way.
