# Decentralized Identity Foundation

* [Secure Data Storage](https://identity.foundation/working-groups/secure-data-storage.html)

* [DIF Steering Committee Election Results 2022](https://blog.identity.foundation/sc-election-2022-results/)

SC Election results: DIF welcomes new SC members Sam Curren, Daniel Buchner, Karyl Fowler, Rouven Heck, Markus Sabadello & Kaliya Young!

* [DIF Grant #1: JWS Test Suite](https://blog.identity.foundation/dif-grant-1-jws-test-suite/)

DIF announces its first community microgrant, sponsored by Microsoft and rewarding the timely creation of a comprehensive test suite for detached-JWS signatures on Verifiable Credentials

* [IIW32 - A wave of DIF donations and debuts](https://blog.identity.foundation/dif-monthly-18-may-2021/#iiw32a-wave-of-dif-donations-and-debuts) DIF Newsletter
- [Finding the Bell Curve of Meaning](https://medium.com/decentralized-identity/finding-the-bell-curve-of-meaning-61a1d22b7bdd) - A process for supporting the emergence of shared language in broad collaborative communities
* [DIF has a Discord](https://twitter.com/DecentralizedID/status/1517083722729738241)

Join here [https://discord.com/invite/F4Qw7h6Sr9](https://discord.com/invite/F4Qw7h6Sr9)

Kaliya was elected to the [DIF steering committee](https://blog.identity.foundation/sc-election-2022-results/) Decentralized Identity Foundation

The six elected candidates are Sam Curren (Indicio Tech), Daniel Buchner (Block), Karyl Fowler (Transmute), Rouven Heck (Consensys Mesh, Executive Director at DIF), Markus Sabadello (DanubeTech) & Kaliya Young (Identity Woman). Sam, Karyl, Markus and Rouven have been re-elected for another two year term as SC members. You can read more about the SC candidates' background and vision for DIF here.
* [Jolocom’s latest contributions to DIF](https://jolocom.io/blog/jolocoms-contributions-to-dif/)
  > Over the course of 2020, Jolocom added support for an off-chain element based on KERI. This is in addition to the Jolocom DID method (did:jolo and did:keri), which supports the Jolocom-Lib, our own SDK and the Jolocom SmartWallet.
* [Introducing DIF Grants](https://blog.identity.foundation/introducing-dif-grants/) Decentralized Identity Foundation
  > DIF is kicking off a program to administer narrowly-scoped financial support for community initiatives, ranging in format from grants to more competitive implementation bounties, hackathon-style open collaborations, and security reviews.
* [Setting Interoperability Targets](https://blog.identity.foundation/setting-interoperability-targets/) DIF
  > Our short-term roadmaps need testable, provable alignment goals that we can all agree on for our little communities and networks of technological thinking to converge gradually. Simply put, we need a few checkpoints and short-term goals, towards which we can all work together.
* [Communication Milestone Achievements!](https://blog.identity.foundation/milestones/) DIF
* [Internet Identity Workshop #33](https://blog.identity.foundation/internet-identity-workshop-33/) DIF
  > Hundreds of attendees, including a number of DIF members, put together a huge programme of content for the 33rd IIW, covering topics ranging from the technical minutiae of IAM and SSI to big-picture discussions about ethics and strategy, and participated in over 110 virtual sessions across the three days.
* [LEGO & Learning Economy: Gearing up with Super Skills](https://blog.identity.foundation/lego-super-skills/) ID Foundation
  > The Super Skills app combines a custodial wallet (Torus) and Ceramic VC/storage tooling to give children private, exportable, future-proof achievement records – a self-sovereign educational credentialing system in miniature.
- [DIFS updated code of conduct](https://medium.com/decentralized-identity/difs-updated-code-of-conduct-a0c2d9dce1ad) - Setting a tone for inclusive collaboration.
* [Jolocom’s latest contributions to DIF](https://jolocom.io/blog/jolocoms-contributions-to-dif/)

- Jolocom added support for an [off-chain element based on KERI](https://github.com/decentralized-identity/keri/blob/master/kids/KERI_WP.pdf). This is in addition to the Jolocom DID method (did:jolo and did:keri), which supports the Jolocom-Lib, our own SDK and the Jolocom SmartWallet.
- [Jolocom focused on the Rust KERI implementation](https://github.com/decentralized-identity/keriox/), which we donated to DIF last fall

> An example of the KERI DID registrar/resolver integrated in our library can be found here. This is also included in the Jolocom SmartWallet via the SDK integration. (KERI is currently being worked on in the Decentralized Identity Foundation’s Identifiers and Discovery Working Group,)
* [Dock Joins the Decentralized Identity Foundation](https://blog.dock.io/decentralized-identity-foundation/) Dock
  > As a decentralized identity management platform that complies with internationally-recognized technology standards, we are continuously keeping up to date with key discussions and updates in the industry which is why we joined the Decentralized Identity Foundation
* [Tobias Looker on BBS+ use cases, DIF Interop WG 25Nov2020](https://www.youtube.com/watch?v=slkbFW6imUk) Tobias Looker, MATTR, Interoperability Working group at DIF:

- Replay attack protection
- Domain-specific identifiers and proofs
- New partial-disclosure topographies

* [What Does Affinidi Do as a Member of the Decentralized Identity Foundation (DIF)?](https://academy.affinidi.com/what-does-affinidi-do-as-a-member-of-the-decentralized-identity-foundation-dif-d9d5146af14) Affinidi

In particular, Affinidi has been at the forefront in building many components such as the [Affinidi Wallet](https://academy.affinidi.com/what-is-affinidis-digital-wallet-1c2a52b4d13f), Schema Manager, [Consent Manager](https://build.affinidi.com/), and more that have enhanced the adoption of decentralised identity among communities and individuals.
* [Open call to kickoff the upcoming Wallet Security WG at DIF](https://lists.w3.org/Archives/Public/public-credentials/2021Feb/0114.html) March 1st
  > Bastian, Paul writes:
  >   I will present motivation, goals and a first roadmap.
  > Very short summary:
  > - standardized wallet security is necessary for sensitive credentials like id-cards, payment credentials or more 
  > - create a specification and interface to communicate about wallet capabilities, security, regulation-conformance and other points of security-relevant interoperability
  > - define mechanism to enable wallet security assertions, certification and ways to prove them
  > - define specifications about wallet user authentication, ways how to ensure them and how to communicate them to issuers/verifiers

* [Calander Invite](https://forms.gle/t6wDnipR2md3WWKj7) • [Wallet Security WG Charter](https://docs.google.com/document/d/18H2hVjHZEBjbnzod8tLogJIEzySdecbk9d-QBJaqHP0/edit) • [Wallet Security Mailing list](https://lists.identity.foundation/g/wallet-security)

* [Setting Interoperability Targets Part 1 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-1-of-2-c6cbeaf82e98) Decentralized Identity Foundation

These will probably always differ and make a universal abstraction impossible; and that’s not a bad thing! These requirements are always going to be specific to each regulatory context, and without them, innovation (and large-scale investment) are endangered by regulatory uncertainty.
* [Setting Interoperability Targets Part 1 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-1-of-2-c6cbeaf82e98) DIF

The Interoperability working group will be tracking them and providing guidance and documentation where possible. Importantly, though, there is a new DIF Working Group coming soon, the Wallet Security WG, which will dive deeper into these profiles and requirements, benefiting from a narrow scope and IPR protection, allowing them to speak more bluntly about the above-mentioned details.

* [Setting Interoperability Targets Part 2 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-2-of-2-671f8faa8ecb) DIF

Having shown in our last piece how interoperability “profiles” are designed, we now tackle some key technical problem areas ripe for this kind of profile-first interoperability work across stacks.
- [TBD’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/#tbd)
- [Spruce’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/#spruce)

* [DIF Interoperability Survey](https://docs.google.com/forms/d/e/1FAIpQLSfbFh4DQeyI0msXsWvfpbrtYEfgQrGRD7tw4d2Rg0NEyhvcKQ/viewform)

We are keen to support more interoperability activity and hopefully testing this fall and winter. In order to do this we would like to gather feedback from the community as to where we are at so we can assess how to move forward.

Please Note: Information on this survey will be shared with the chairs of the DIF Interop Group

* [Drilling down: Co-development](https://medium.com/decentralized-identity/drilling-down-co-development-in-the-open-765a86ab153f) DIF
  > - What “standardization” means to DIF and what DIF means to standardization.
- A newbie-friendly survey of how DIF relates to nearby organizations with overlapping or related foci.
- What “co-development” and “coöpetition” really mean, concretely
* [Q&A: The Potential of Decentralized ID in Travel](https://www.webintravel.com/qa-the-potential-of-decentralized-digital-id-in-travel/) WebInTravel
  > Since February he has also been the informal chair of the [Hospitality and Travel Special Interest Group](https://www.notion.so/dif/HOSPITALITY-TRAVEL-SIG-242105321e1747f8bce776bf634a55b3), a subset within the Decentralized Identity Foundation, an organization creating technical specifications and reference implementations for decentralized identity and working with industries for commercial applications of such technologies.
* [Bloom donates WACI](https://medium.com/decentralized-identity/bloom-donates-waci-790f902ac9bd)

At its core, WACI can be thought of as a handshake using classic, industry-standard [JWT](https://datatracker.ietf.org/doc/html/rfc7519)s: the “Relying Party” signs a token given to the end-user’s wallet, and the wallet signs over a “challenge” contained within it, proving ownership of a DID.

* [DIF Monthly #28](https://blog.identity.foundation/dif-monthly-28/)

Table of contents: 1. [Foundation News](https://blog.identity.foundation/dif-monthly-28/#foundation); 2. [Group Updates](https://blog.identity.foundation/dif-monthly-28/#groups); 3. [Member Updates](https://blog.identity.foundation/dif-monthly-28/#members); 4. [Digital Identity Community](https://blog.identity.foundation/dif-monthly-28/#Community); .5. [Funding](https://blog.identity.foundation/dif-monthly-28/#funding); 6. [Events](https://blog.identity.foundation/dif-monthly-28/#community); 7. [Hackathons](https://blog.identity.foundation/dif-monthly-28/#hackathons); 8. [Jobs](https://blog.identity.foundation/dif-monthly-28/#jobs); 9. [Metrics](https://blog.identity.foundation/dif-monthly-28/#metrics); 10. [Get involved! Join DIF](https://blog.identity.foundation/dif-monthly-28/#join)
