# DIDAS - Swiss

* [Swiss doing SSI](http://didas.swiss)
  > Underpinned by our country’s values, DIDAS is the Swiss ecosystem with the goal to enable an inclusive, privacy-first & frictionless future for our society’s Digital & Data needs. We are advocating for global standards with local governance for digital identities and data sovereignty.
* [Implementing the Swiss SSI Ecosystem – Two Streams Approach](https://www.didas.swiss/2022/02/18/implementing-the-swiss-ssi-ecosystem-two-streams-approach/) DIDAS Swiss
  > critical questions of user experience and acceptance can be validated in real life. The findings and results will feedback into further development of the systems and hardening of security and privacy. This is also a great practical way to identify legal aspects that need clarification or even potential changes in the relevant laws
* [the potential of Self-Sovereign Identity with representative use cases](https://www.adnovum.ch/en/company/blog/exploring_the_potential_of_self-sovereign_identity_with_representative_use_cases.html)
  > Our Self-Sovereign Identity initiative with SwissSign, the canton of Aargau and cardossier clearly shows: Even if there are still uncertainties regarding technical maturity and governance – SSI is happening and brings major advantages in data protection and cross-organizational digitization.
* [The LEI: A Swiss Army Knife for the World’s Digital Economy](https://www.gleif.org/en/newsroom/blog/the-lei-a-swiss-army-knife-for-the-worlds-digital-economy)
  > The LEI’s legacy is proudly rooted in financial services and regulation. Its future, however, undeniably points beyond to broader, digitized adoption and utilization across public and private sectors around the world. The Global LEI System is the only open, commercially neutral, and regulatory endorsed system capable of establishing digitized trust between all legal entities everywhere. It was established as a public good, and GLEIF remains committed to ensuring that every last drop of value is wrung from the system, and used to the benefit of all.
* [Self-Sovereign Identity – a game changer regarding privacy: The next level of identity management](https://adnovum.ch/en/company/blog/self_sovereign_identity_a_game_changer_regarding_privacy.html)
  > After rejection of the e-ID Act in March 2021, the Swiss Federal government is working at full speed on a new proposal. The first results were published in a [discussion paper](https://www.bj.admin.ch/dam/bj/en/data/staat/gesetzgebung/staatliche-e-id/diskussionspapier-zielbild-e-id.pdf.download.pdf/diskussionspapier-zielbild-e-id.pdf) on September 2. Self-Sovereign Identity (SSI) is one of three possible solutions proposed for the implementation of the future e-ID. What is SSI is and why does it bring significant added value in terms of data privacy?
* [Building a Swiss Digital Trust Ecosystem – Perspectives around an e-ID ecosystem in Switzerland](https://digitalswitzerland.com/building-a-swiss-digital-trust-ecosystem/) DigitalSwitzerland
  > An initial contribution to the ongoing meta-level debate about the development of the e-ID ecosystem in Switzerland.
* [Perspectives around building an e-ID ecosystem in Switzerland](https://digitalswitzerland.com/building-a-swiss-digital-trust-ecosystem/) DigitalSwitzerland
  > The transition to an ecosystem of digital credentials, initiated by the [federal government’s directional decision](https://www.admin.ch/gov/de/start/dokumentation/medienmitteilungen.msg-id-86465.html), is a generational project that requires input from – and collaboration between – government, the private sector, academia, and civil society. This document is intended to serve as an initial contribution to the ongoing meta-level debate about the development of the e-ID ecosystem in Switzerland
* [The New Draft Law on eID Switzerland](https://www.procivis.ch/post/the-new-draft-law-on-eid-switzerland-en) Procivis

Yesterday's [media conference](https://www.youtube.com/watch?v=epW4xEqr3mw) and published [media release](https://www.bj.admin.ch/bj/de/home/aktuell/mm.msg-id-89515.html) opened the consultation process for the new E-ID law, which will last until October 20, 2022.

The preliminary [draft of the federal law](https://www.bj.admin.ch/dam/bj/de/data/staat/gesetzgebung/staatliche-e-id/vorentw.pdf) declared the purpose of the E-ID to be to ensure "secure identification by means of E-ID among private individuals and with authorities". The protection of the personality and fundamental rights of individuals is to be provided by the following principles defined in the law:

- Data protection through technology
- Data security
- Data economy
- Decentralized data storage
