---
published: false
---

# Compliance, KYC, RegTech
* [Impacts from a new reality drive the need for an enhanced digital identity framework](https://bankautomationnews.com/allposts/risk-security/impacts-from-a-new-reality-drive-the-need-for-an-enhanced-digital-identity-framework/) Bank Automation News

While US-based entities are adhering to an enhanced regulatory framework, these mandates are particularly applicable in Europe, where there is necessary compliance with enacted standards (such as the General Data Protection Regulation—commonly known as GDPR—and the Payment Service Providers Directive 2—referred to as PSD2. A clear need for a true and persistent digital identity as a solution to the ancillary—and sometimes unforeseen—challenges that have arisen.
* [Self-Sovereign Identity Verification and Background Screening](https://www.corporatescreening.com/blog/what-is-self-sovereign-identity-verification-and-how-is-it-changing-background-screening) Corporate Screening
  > self-sovereign identity verification, one of the game-changing [background screening trends of 2021](https://www.corporatescreening.com/2021-trends-interactive-infographic). When combined with screening activities, self-sovereign identity solutions offer opportunities to obtain more accurate candidate background data and deliver it to employers faster.

* [How can self-sovereign identity solve the challenges of KYC in financial industry?](https://yourstory.com/2022/09/self-sovereign-identity-solve-challenges-kyc-finance/amp) Yourstory

Since the same data is required and utilised by everyone, blockchain-based SSI can satisfy the demand for general service for data without creating competition while also adhering to legislation and consumer expectations around data protection.


- [DIDComm for KYC](https://www.youtube.com/watch?v=PWrZxRbCG88)

* [zkKYC A solution concept for KYC without knowing your customer, leveraging self-sovereign identity and zero-knowledge proofs](https://bafybeie5ixj4dkim3lgivkw56us6aakh6bc3dhlsx5zzohrkzgo3ywqqha.ipfs.dweb.link/zkKYC-v1.0.pdf)

The proposed solution concept, zkKYC, removes the need for the customer toshare any personal information with a regulated business for the purpose of KYC, and yet providesthe transparency to allow for a customer to be identified if and when that is ruled necessary by adesignated governing entity (e.g. regulator, law enforcement).
* [EIC Speaker Spotlight: Nat Sakimura](https://www.youtube.com/watch?v=QG_gkZkpJwQ) Introducing Gain • OpenID Foundation

if you look at the the cost structure of the financial industry a lot of cost Is towards anti-money laundering and related activities and that actually is identity problem [...] we should try to solve the use case with a user centricity in mind

* [Forensic Investigative Report: Sanctioned Blockchain Addresses](https://www.coinfirm.com/blog/sanctioned-blockchain-addresses/) Coinfirm

* [Forensic Investigative Report: Terrorism Financing Blockchain Addresses](https://www.coinfirm.com/blog/terrorism-financing-blockchain-addresses/) Coinfirm

* [AML Risk Reports](https://www.coinfirm.com/blog/crypto-aml-risk-reports/) Coinfirm

* [Commerc.io srl has concluded the project with Essif on anti-money laundering eKYC](https://commercio.network/commerc-io-srl-concluded-project-self-sovereign-identity-essif-european-union-anti-money-laundering-ekyc/)
  > [ComKYC] is a protocol on the Commercio Network blockchain that allows you to issue a KYC verifiable credential after performing a simple set of payments through a bank or any regulated money institution. We piggy back on banks kyc requirements [...] it's a verifiable credential that you can share with anyone who trusts the bank to which this VC is anchored. We have created the first portable derivative key kyc credential protocol that will eliminate the endless passport upload for users, reduce customer dropouts for companies, and reduce time and cost for onboarding new customers

* [OpenID Connect for Identity Assurance (eKYC & IDA) Enables More than 30 Million Bank Customers to Identify Themselves with Third Parties](https://openid.net/2021/03/03/openid-connect-for-identity-assurance-ekyc-ida-enables-more-than-30m-bank-customers-to-identify-themselves-with-3rd-parties/)

* [Self-Sovereign Identity: More Use Cases](https://www.bankinfosecurity.com/self-sovereign-identity-more-use-cases-a-16448): Heather Dahl and Ken Ebert of Indicio Discuss Decentralized ID Management
  > In a video interview with Information Security Media Group, Dahl and Ebert discuss:
  > 
  > - The evolution of Indicio.tech from the Sovrin Foundation;
  > - Key initiatives in implementing and testing decentralized identity;
  > - How a decentralized workforce is accelerating the need for identity management.
* [Enhanced Due Diligence How to do it Right](https://cognitohq.com/enhanced-due-diligence-is-non-negotiable/)

Both CDD and EDD are part of a complete KYC process. Identity verification (IDV) at the account-opening stage is one of the most critical moments in the process, but it doesn’t end there: read on to identify when your due diligence should kick up a notch.
* [The Identity, Unlocked “eKYC with Mark Haine” Podcast Now Live](https://openid.net/2021/03/10/the-identity-unlocked-ekyc-with-mark-haine-podcast-now-live/)
* [eKYC with Mark Haine” features host Vittorio Bertocci and special guest Mark Haine](https://identityunlocked.auth0.com/public/49/Identity%2C-Unlocked.--bed7fada/ad784008)
* [SAP Completes Pharmaceutical Industry Pilot to Improve Supply Chain Authenticity](https://news.sap.com/2021/03/pharmaceutical-supply-chain-industry-pilot/)
  > today announced the completion of an industry-wide pilot utilizing self-sovereign identity (SSI) credentials to establish trust in the pharmaceutical supply chain for indirect trade relationships.
* [Reimagining Customer Loyalty Programs With Verifiable Credentials: A Pravici Case Study](https://www.evernym.com/blog/customer-loyalty-verifiable-credentials/) Evernym
  > [Pravici](https://pravici.com/), an Evernym customer and startup based out of Chandler, Arizona, is looking to flip the equation. Their solution, Tokenized Loyalty Points (TLP), uses verifiable credential technology to give individual consumers control over their data, while empowering them to direct how their favorite brands can use this data for loyalty and other campaigns.

* [26 Suggested Use Cases of Verifiable Credentials (With Some Real-World Examples)](https://academy.affinidi.com/25-real-world-use-cases-of-verifiable-credentials-4657c9cbc5e)
  > we hope that business leaders, entrepreneurs, and developers will use this article as a guide to create some breakthrough solutions that will benefit the society at large.
- [Patient-Centric Identity Management for Healthcare with Jim St-Clair](https://northernblock.io/patient-centric-identity-management-for-healthcare/)


* [GATACA joins EU Commission’s Early Adopters Program as SSI provider in the Spanish group](https://gataca.io/insights/gataca-joins-the-european-commission-s-early-adopters-program-as-the-ssi-technology-provider-in-the-spanish-group)
  > In Spain, three universities will pioneer the issuance of digital Academic Diplomas. The issuance will be performed 100% online, where students will authenticate themselves using a digital ID previously issued by FNMT (the Royal Mint of Spain) and stored in their mobile wallets.

* [SAP Pharma Solution Supports Supply Chain Compliance](https://insidesap.com.au/sap-pharma-solution-supports-supply-chain-compliance/)
  > SAP has chosen an open, interoperable technology to validate all stakeholders in the pharma supply chain in order to provide customers with the best solution for compliance under the U.S. Drug Supply Chain Security Act (DSCSA) requirements. The DSCSA also limits stakeholders’ interactions to ATPs.

[eKYC & Identity Assurance WG](https://openid.net/wg/ekyc-ida/). Among the many dots Mark is connecting on behalf of the OpenID Foundation is work with the Global Legal Entity Identifier Foundation, the Open Identity Exchange Trust Framework Initiatives and the Open Banking Implementation Entity.

