# Ceramic

* [Ceramic Launches Community Forum](https://blog.ceramic.network/ceramic-launches-community-forum/)

We’re excited to share that we launched the [Ceramic Community Forum](https://forum.ceramic.network/)! The forum is the place to ask technical questions and receive support from your fellow community members and Ceramic’s core team
* [Getting Started with Ceramic](https://blog.ceramic.network/getting-started-with-ceramic/)

In this beginner-friendly guide, I'll give you all the tools and knowledge needed to integrate the [Ceramic Network](https://developers.ceramic.network/) into your Web 3 [dapps](https://ethereum.org/en/dapps/).

The Ceramic Network is a decentralized data network that aims to bring composable data to Web 3 dapps. There are many types of data that Ceramic can work with, but for this guide we can treat Ceramic like a decentralized NOSQL document database.


* [An authentication system built with Ceramic & self.id](https://github.com/dabit3/decentralized-identity-example) dabit3

This project implements a user authentication flow leveraging an Ethereum wallet for single sign on capabilities across all of Web3.

The technologies used are [DID (decentralized identifiers)](https://www.w3.org/TR/did-core/), [Ceramic](https://ceramic.network/), [3id-connect](https://github.com/ceramicstudio/3id-connect), and [Self.ID](https://developers.ceramic.network/tools/self-id/overview/)
* [Building capability-based data security for Ceramic](https://blog.ceramic.network/capability-based-data-security-on-ceramic/)

The 3Box Labs team recently published a new standard for creating capability containers for accessing decentralized data to the Chain Agnostic Standards Alliance. Capability containers are an approach for managing advanced data security and permissions, commonly referred to as “Object Capabilities” or “OCAPs.”

This new standard is currently in development for use on Ceramic. Once deployed in a future version of the protocol, it will allow Ceramic to be fully compatible with the new Sign-in with Ethereum (SIWE) specification as well as provide advanced data flow control features for resources stored on the Ceramic network.
* [The next architecture for building Web3 data apps](https://blog.ceramic.network/the-next-architecture-for-building-web3-data-applications/) Ceramic

We're replacing the popular IDX runtime with a more powerful set of tools for building applications on Ceramic including DID DataStore, DataModels, and Self.ID.
* [Ceramic Launches Community Forum](https://blog.ceramic.network/ceramic-launches-community-forum/)

We’re excited to share that we launched the [Ceramic Community Forum](https://forum.ceramic.network/)! The forum is the place to ask technical questions and receive support from your fellow community members and Ceramic’s core team
* [DAOhaus adds functionality for rich member profiles for DAOs](https://blog.ceramic.network/daohaus-adds-rich-dao-member-profiles/)
* [3IDConnect](https://blog.ceramic.network/what-is-3id-connect/) Ceramic
 - along with the slightly problematic frame that users have “a DID” ([GitHub](https://github.com/3box/3id-connect))
* [Decentralized Profiles group Nov 25th call](https://blog.ceramic.network/dprofiles-call-3/)
Every 6 weeks the at Ceramic meets
* [Building the Social Graph Infrastructure for Web3.0](https://blog.ceramic.network/building-the-social-graph-infrastructure-for-web3-0/): How CyberConnect is using Ceramic to connect everyone in Web3.0

At the heart of CyberConnect is a tamper-proof data structure that efficiently facilitates the creation, update, query and verification of user-centric data. Long-term data retention on CyberConnect is guaranteed through Ceramic’s blockchain anchoring and a custom data pinning service.
* [User-centric data on Web3](https://blog.ceramic.network/user-centric-data-on-web3/) Ceramic

* [3Box Labs, core developers of Ceramic, has raised a $30,000,000 Series A co-led by Multicoin Capital and Union Square Ventures](https://blog.ceramic.network/30-million-series-a-multicoin-usv/) Ceramic

…Ceramic, a decentralized network for composable Web3 data. The network consists of three core components:

1. Scalable, decentralized data infrastructure
2. Open APIs for storing, modifying, and retrieving data
3. Community-created marketplace of reusable data models


* [Key Revocation in Self-Certifying Protocols](https://blog.ceramic.network/key-revocation-in-self-certifying-protocols/) Ceramic

In Web3 protocols cryptographic keys are used for encryption and signature verification. Typically a key is split into a public and a private key and because private keys are hard to keep secure, it is considered good practice to change keys over time.

* [Key Revocation in Self-Certifying Protocols](https://blog.ceramic.network/key-revocation-in-self-certifying-protocols/) Ceramic

In Web3 protocols cryptographic keys are used for encryption and signature verification. Typically a key is split into a public and a private key and because private keys are hard to keep secure, it is considered good practice to change keys over time.

* [How Web3 apps are building composable trust](https://blog.ceramic.network/how-web3-apps-are-building-composable-trust/) Ceramic Network

Explore the unique paradigms behind Web3 reputation, prominent use cases, and example architectures to incorporate credentials into your application.

* [GitCoin working with Ceramic on “GitCoin Passport”](https://blog.ceramic.network/a-higher-personhood-score-means-more-contribution-matching/)

PoPP signs and issues “stamps” to the user’s Passport that publicly attest to the user’s claims. Behind the scenes, these are Verifiable Credentials (VCs) that are stored on the user’s Ceramic streams.
* [Headline Introduces Creator-Controlled, Subscription-Based Publishing](https://blog.ceramic.network/headline-rewrites-subscription-based-publishing-for-web3/)

The publishing protocol uses Unlock’s NFT-based access system and Ceramic’s decentralized data protocol to give creators full control over their content, communities and monetization.
* [Geo Web is connecting digital content to the physical world with NFTs and Ceramic](https://blog.ceramic.network/geo-web-is-connecting-digital-content-to-the-physical-world-with-nfts-and-ceramic/)

With DID:NFT, because the content that is anchored to a Geo Web parcel can actually be owned by the parcel itself, when someone buys the land they're also getting the infrastructure that's been built up on that land.
