---
published: false
---
# Web5 (new marketing)

* [JACK DORSEY’S TBD PRESENTS BITCOIN-BASED DECENTRALIZED WEB5](https://bitcoinmagazine.com/business/jack-dorseys-tbd-presents-bitcoin-based-decentralized-web5) Bitcoin Magazine

Fairly decentralized developments in the internet over the past couple of decades such as [BitTorrent](https://www.howtogeek.com/141257/htg-explains-how-does-bittorrent-work/) and [Tor](https://www.techradar.com/vpn/what-is-tor-and-how-does-it-work) have shown that blockchain technology is not a necessary component for decentralization.

* [Namcios · Jun 10](https://twitter.com/namcios/status/1535302090360250368)

1/ Jack Dorsey’s [@TBD54566975](https://twitter.com/TBD54566975) unit has just announced it is building “Web5”. [...] Here’s a thread with all you need to know

* [...]

6/ Self-Sovereign Identity Service (SSIS). The SSIS interacts with Verifiable Credentials by creating, signing, issuing, curating, requesting, revoking, exchanging, validating and verifying them. It wraps the next component on the list, the self-sovereign identity SDK…

* […]

7/ The ssi-sdk encapsulates self-sovereign identity standards.

* [What Even Is Web5?](https://www.forbes.com/sites/traceyfollows/2022/06/11/what-even-is-web5/?sh=10900ec05ad2) Forbes

The actual definition given in the TBD [presentation pack](https://docs.google.com/presentation/d/1SaHGyY9TjPg4a0VNLCsfchoVG1yU3ffTDsPRcU99H1E/edit#slide=id.g11b904107df_0_1) is as follows: “Web5 is a Decentralized Web Platform that enables developers to leverage Decentralized Identifiers, Verifiable Credentials, and Decentralized Web Nodes to write Decentralized Web Apps, returning ownership and control over identity and data to individuals”

* [introducing tbDEX](https://tbd54566975.ghost.io/introducing-tbdex/) TBD (featured in Identosphere #61)

We propose a solution that does not rely on a federation to control permission or access to the network; nor does it dictate the level of trust required between counterparties.

* [Web5 — The Niche Tech Solves The Niche Problem](https://medium.com/umbalametaverse/web5-the-niche-tech-solves-the-niche-problem-f9135d98f0c1) Umbala Wolves

Web 5 is based on four primary technological pillars in order to realize the goal of building a genuinely decentralized web platform, including:

- Decentralized Identifiers (DIDs)
- Verifiable credentials (VCs)
- Decentralized Web Nodes (DWNs)
- Self-Sovereign Identity Service (SSIS)


* [What is Web5? | TBD](https://developer.tbd.website/blog/what-is-web5/)


* [How to get started learning web5](https://www.nathangould.com/posts/how-to-get-started-learning-web5/) Nathan Gould

Web3 has already shown us one potential solution to web2's data portability problem. By using the public blockchain as a sort of global storage layer, web3 applications allow users to bring their data with them from one application to the next. No more onboarding forms -- just "Connect with Metamask" and you're done.

* [Web5 Roadmap](https://developer.tbd.website/blog/web5-roadmap) TBD

Our major deliverables include:

- Decentralized Identifier network node on production and publicly available
- Decentralized Web Node on production and publicly available
- Verifiable Credential service on production and available to partners
- Decentralized Web Platform client/server SDK with all components bundled in a single package
- Wallet in publicly usable state across Web, desktop and mobile
- Decentralized Web Application runtime ready for developer reliance

* [Web3, Web5 & SSI](https://rufftimo.medium.com/web3-web5-ssi-3870c298c7b4) Timothy Ruff

Why the SSI community should escape Web3 and follow Jack Dorsey and Block into a Web5 big tent, with a common singular goal: the autonomous control of authentic data and relationships.

- [What is Web5?](https://rufftimo.medium.com/what-is-web5-fb34f48d0b1b) Timothy Ruff


* [Zero Trust, Web5, and GLEIF’s vLEI](https://rufftimo.medium.com/zero-trust-web5-and-gleifs-vlei-63ffcb800028) Timothy Ruff

In an email exchange during the last 72 hours, Sam opined about the [McKinsey Technology Trends Report for 2022](https://www.mckinsey.com/capabilities/mckinsey-digital/our-insights/the-top-trends-in-tech) (the full report), which strongly touts both self-sovereign identity (SSI) — which I now believe should be considered as part of [Web5](https://rufftimo.medium.com/what-is-web5-fb34f48d0b1b) — and [zero trust architecture](https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-207.pdf) (ZTA). As happens often, I found Sam’s private comments insightful, but this time so much so that I’m making them immediately public, with his permission.
